OrcFile.WriterVersion (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc

## Enum OrcFile.WriterVersion

- java.lang.Object
- - java.lang.Enum<OrcFile.WriterVersion>
  - - org.apache.orc.OrcFile.WriterVersion

- All Implemented Interfaces:
    Serializable, Comparable<OrcFile.WriterVersion>
  Enclosing class:
    OrcFile

      public static enum OrcFile.WriterVersion
      extends Enum<OrcFile.WriterVersion>

  Records the version of the writer in terms of which bugs have been fixed. When you fix bugs in the writer (or make substantial changes) that don't change the file format, add a new version here instead of Version. The ids are assigned sequentially from 6 per a WriterImplementation so that readers that predate ORC-202 treat the other writers correctly.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FUTURE`
    `HIVE_12055`
    `HIVE_13083`
    `HIVE_4243`
    `HIVE_8732`
    `ORC_101`
    `ORC_135`
    `ORC_14`
    `ORC_203`
    `ORC_517`
    `ORC_CPP_ORIGINAL`
    `ORIGINAL`
    `PRESTO_ORIGINAL`
    `SCRITCHLEY_GO_ORIGINAL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OrcFile.WriterVersion` | `from(OrcFile.WriterImplementation writer, int val)` Convert the integer from OrcProto.PostScript.writerVersion to the enumeration with unknown versions being mapped to FUTURE.
    `int` | `getId()`
    `OrcFile.WriterImplementation` | `getWriterImplementation()`
    `boolean` | `includes(OrcFile.WriterVersion fix)` Does this file include the given fix or come from a different writer?
    `static OrcFile.WriterVersion` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OrcFile.WriterVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ORIGINAL

          public static final OrcFile.WriterVersion ORIGINAL

    - #### HIVE_8732

          public static final OrcFile.WriterVersion HIVE_8732

    - #### HIVE_4243

          public static final OrcFile.WriterVersion HIVE_4243

    - #### HIVE_12055

          public static final OrcFile.WriterVersion HIVE_12055

    - #### HIVE_13083

          public static final OrcFile.WriterVersion HIVE_13083

    - #### ORC_101

          public static final OrcFile.WriterVersion ORC_101

    - #### ORC_135

          public static final OrcFile.WriterVersion ORC_135

    - #### ORC_517

          public static final OrcFile.WriterVersion ORC_517

    - #### ORC_203

          public static final OrcFile.WriterVersion ORC_203

    - #### ORC_14

          public static final OrcFile.WriterVersion ORC_14

    - #### ORC_CPP_ORIGINAL

          public static final OrcFile.WriterVersion ORC_CPP_ORIGINAL

    - #### PRESTO_ORIGINAL

          public static final OrcFile.WriterVersion PRESTO_ORIGINAL

    - #### SCRITCHLEY_GO_ORIGINAL

          public static final OrcFile.WriterVersion SCRITCHLEY_GO_ORIGINAL

    - #### FUTURE

          public static final OrcFile.WriterVersion FUTURE

  - ### Method Detail

    - #### values

          public static OrcFile.WriterVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OrcFile.WriterVersion c : OrcFile.WriterVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OrcFile.WriterVersion valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getWriterImplementation

          public OrcFile.WriterImplementation getWriterImplementation()

    - #### getId

          public int getId()

    - #### from

          public static OrcFile.WriterVersion from(OrcFile.WriterImplementation writer,
                                                   int val)

      Convert the integer from OrcProto.PostScript.writerVersion to the enumeration with unknown versions being mapped to FUTURE.
      Parameters:
        `writer` - the writer implementation
        `val` - the serialized writer version
      Returns:
        the corresponding enumeration value

    - #### includes

          public boolean includes(OrcFile.WriterVersion fix)

      Does this file include the given fix or come from a different writer?
      Parameters:
        `fix` - the required fix
      Returns:
        true if the required fix is present

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.